Groovy Documentation

## org.codehaus.groovy.grails.web.mapping.filter
[Java] Class UrlMappingsFilter

    java.lang.Object
      org.springframework.web.filter.OncePerRequestFilter
          org.codehaus.groovy.grails.web.mapping.filter.UrlMappingsFilter

    public class UrlMappingsFilter
    extends OncePerRequestFilter

Uses the Grails UrlMappings to match and forward requests to a relevant controller and action.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`protected HttpServletRequest` | `checkMultipart(HttpServletRequest request)`
`protected void` | `doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)`
`protected void` | `initFilterBean()`

Method Detail

### checkMultipart

    protected HttpServletRequest checkMultipart(HttpServletRequest request)

### doFilterInternal

    @SuppressWarnings({ "unchecked", "rawtypes" })
    @Override
    protected void doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)

### initFilterBean

    @Override
    protected void initFilterBean()

Groovy Documentation